
#include <P16F688.inc>

DIGIT		equ	00h
TEMP		equ	01h
count		equ	02h
count_h		equ	03h

	org 0
begin
	movlw 0
	movwf STATUS

eeprom_w_f
	BANKSEL EEADR

	clrf EEADR
	bcf EECON1, EEPGD

	movlw 01Fh
	call write_eeprom

	incf EEADR

	movlw 0F1h
	call write_eeprom
	
	clrf EEADR
	call read_eeprom
;  w   ,     0 - 0x1f
;   0xf1 -     EEDAT
	
loop
	goto loop

write_eeprom
	movwf EEDAT
	bsf EECON1, WREN
	movlw 055h
	movwf EECON2
	movlw 0AAh
	movwf EECON2
	bsf EECON1, WR
loop_write_eep
	btfsc EECON1, WR
	goto loop_write_eep
	return
	
read_eeprom:
	bcf EECON1, WREN
	bsf EECON1, RD
	movf EEDAT, w
	return

 END
